# Set __arch_install_post to nil to disable check-rpmbuild after install,
# which causes error due to hardcoded BUILDROOT paths in *.sh and executables
%define __arch_install_post %{nil}
%define baseversion 3.1.2

Summary: FITS Image Display and Catalog Search Tool for Astronomy
Name: skycat
Version: %{baseversion}starlink
Release: %mkrel 0pre.2
License: GNU General Public License
Group: Sciences/Astronomy
URL: http://archive.eso.org/cms/tools-documentation/skycat
Source0: %{name}-%{baseversion}.tar.gz
# The version is starlink
# https://github.com/Starlink/skycat.git
Patch0: skycat-3.1.2-mga-rtd.patch

#Requires: tcl, tk, itcl, tclx, blt, tkimg
# The binary RPM requires the tcltk RPM
BuildRequires: tcl-devel, tk-devel, itcl, itk, blt
BuildRequires: cfitsio-devel
BuildRequires: libx11-devel
Requires: itcl, itk, tclx, blt, tkimg

%description
SkyCat is a tool that combines visualization of images and access to 
catalogs and archive data for astronomy.

%prep
%setup -q -n %name-%baseversion
%apply_patches
sed -i -e 's!/lib!/%{_lib}!g' \
   skycat/skycat-star.in \
   skycat/skycat.in 

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
mkdir build
cd build
../configure \
	--prefix=%_prefix \
	--exec_prefix=%_prefix \
	--libdir=%_libdir \
	--mandir=%_mandir \
	--with-tcl=%_libdir \
	--with-cfitsio=%_libdir \
	--with-tk=%_libdir

# The makefile has not been set up for parallel builds
make

%install
cd build
%make install DESTDIR=%buildroot

%files
%{_bindir}/skycat-star
%{_bindir}/rtd
%{_bindir}/tRtd
%{_bindir}/rtdServer
%{_bindir}/rtdClient
%{_bindir}/rtdCubeDisplay
%{_libdir}/tclutil2.1.0
%{_libdir}/astrotcl2.1.0
%{_libdir}/rtd3.2.1
%{_libdir}/cat4.1.0
%{_libdir}/skycat3.1.2
%{_libdir}/libtclutil2.1.0.so
%{_libdir}/libastrotcl2.1.0.so
%{_libdir}/librtd3.2.1.so
%{_libdir}/libcat4.1.0.so
%{_libdir}/libskycat3.1.2.so
%{_libdir}/librtdImgEvt.a
%{_libdir}/librtdRemote.a
%{_libdir}/tclutilConfig.sh
%{_libdir}/astrotclConfig.sh
%{_libdir}/rtdConfig.sh
%{_libdir}/catConfig.sh
%{_libdir}/skycatConfig.sh
%{_includedir}/tclutil
%{_includedir}/astrotcl
%{_includedir}/rtd
%{_includedir}/cat
%{_includedir}/skycat


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 3.1.2starlink-0pre.2.mga4
+ Revision: 531694
- Mageia 4 Mass Rebuild

* Thu Aug 08 2013 joequant <joequant> 3.1.2starlink-0pre.1.mga4
+ Revision: 464603
- change to skycat version

* Sat Aug 03 2013 joequant <joequant> 3.1.2-3.mga4
+ Revision: 462949
- change to platform independent tclx requires

* Fri Aug 02 2013 joequant <joequant> 3.1.2-2.mga4
+ Revision: 462743
- add tkimg to requires

* Fri Aug 02 2013 joequant <joequant> 3.1.2-1.mga4
+ Revision: 462627
- fix 32-bit builds
- workaround 32-bit build problem
- add sys/types.h to fix build break in clean machine
- add imake
- switch to single threaded build
- add x11 include files
- add cfitsio-devel
- clean specs
- imported package skycat

